This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 510428 - Review Request: axel - Accelerated download client
Review Request: axel - Accelerated download client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
: axel (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 04:50 EDT by Ankur Sinha (FranciscoD)
Modified: 2014-04-15 07:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.4-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-01 19:52:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2009-07-09 04:50:53 EDT
Spec URL: http://ankursinha.fedorapeople.org/axel/axel.spec
SRPM URL: http://ankursinha.fedorapeople.org/axel/axel-2.4-1.fc10.src.rpm

Description: 
Axel tries to accelerate HTTP/FTP downloading process by using 
multiple connections for one file. It can use multiple mirrors for a 
download. Axel has no dependencies and is lightweight, so it might 
be useful as a wget clone on byte-critical systems.

Other info on the mock build is here:

http://ankursinha.fedorapeople.org/axel/

I have closed https://bugzilla.redhat.com/show_bug.cgi?id=454980 and started a new one.
Comment 1 Ankur Sinha (FranciscoD) 2009-07-09 04:56:14 EDT
*** Bug 454980 has been marked as a duplicate of this bug. ***
Comment 2 Pavel Alexeev 2009-07-10 16:01:34 EDT
I'll review it.
Comment 3 Pavel Alexeev 2009-07-10 16:05:20 EDT
As it was almost my spec (or very-very closest) I think it should be easy :)

Formal review follow, meantime, as I already mention before ( https://bugzilla.redhat.com/show_bug.cgi?id=454980#c50 ) unwieldy line endings conversion absolutely is not needed in you case.
Comment 4 Pavel Alexeev 2009-07-10 16:43:33 EDT
Here is the review:

 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this list and more]
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[-] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
File COPYING must be included.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[=] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
Source matched:
$ md5sum axel-2.4.tar.gz 
a2a762fce0c96781965c8f9786a3d09d  axel-2.4.tar.gz

Consider use %{version} in Source URL - http://fedoraproject.org/wiki/Packaging:SourceURL#Using_.25.7Bversion.7D

[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
Package compiled.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
No shared libraries.
[+] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
Package is not relocatable.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[+] MUST: Static libraries must be in a -static package.
No static libraries.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
Have not pkgconfig(.pc) files.
[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
Have not.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
Only cli.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[=] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
Source include it, but package does not (see above).
[+] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
No translations in spec.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
Done: http://koji.fedoraproject.org/koji/taskinfo?taskID=1466319
[+] SHOULD: The reviewer should test that the package functions as described.
A'm test it before and even try using... (wget more convenient :) , IMHO)
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
Scriplets haven't used.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
No such dependencies.
[+] SHOULD: Packages should try to preserve timestamps of original installed files.
Comment 5 Ankur Sinha (FranciscoD) 2009-07-10 23:26:57 EDT
hi,

(In reply to comment #4)
> Here is the review:
> 
>  +:ok, =:needs attention, -:needs fixing
> 
> MUST Items:
> [+] MUST: rpmlint must be run on every package.
> [+] MUST: The package must be named according to the Package Naming Guidelines.
> [+] MUST: The spec file name must match the base package %{name}
> [+] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this
> list and more]
> [+] MUST: The package must be licensed with a Fedora approved license and meet
> the Licensing Guidelines.
> [+] MUST: The License field in the package spec file must match the actual
> license.
> [-] MUST: If (and only if) the source package includes the text of the
> license(s) in its own file, then that file, containing the text of the
> license(s) for the package must be included in %doc.
> File COPYING must be included.

Included.. I had missed it somehow..

> [+] MUST: The spec file must be written in American English.
> [+] MUST: The spec file for the package MUST be legible.
> [=] MUST: The sources used to build the package must match the upstream source,
> as provided in the spec URL.
> Source matched:
> $ md5sum axel-2.4.tar.gz 
> a2a762fce0c96781965c8f9786a3d09d  axel-2.4.tar.gz
> 
> Consider use %{version} in Source URL -
> http://fedoraproject.org/wiki/Packaging:SourceURL#Using_.25.7Bversion.7D
> 

Corrected..

> [+] MUST: The package must successfully compile and build into binary rpms on
> at least one supported architecture.
> [+] MUST: If the package does not successfully compile, build or work on an
> architecture, then those architectures should be listed in the spec in
> ExcludeArch.
> Package compiled.
> [+] MUST: All build dependencies must be listed in BuildRequires
> [+] MUST: The spec file MUST handle locales properly. This is done by using the
> %find_lang macro.
> [+] MUST: Every binary RPM package which stores shared library files (not just
> symlinks) in any of the dynamic linker's default paths, must call ldconfig in
> %post and %postun.
> No shared libraries.
> [+] MUST: If the package is designed to be relocatable, the packager must state
> this fact in the request for review
> Package is not relocatable.
> [+] MUST: A package must own all directories that it creates. If it does not
> create a directory that it uses, then it should require a package which does
> create that directory.
> [+] MUST: A package must not contain any duplicate files in the %files listing.
> [+] MUST: Permissions on files must be set properly. Executables should be set
> with executable permissions, for example. Every %files section must include a
> %defattr(...) line.
> [+] MUST: Each package must have a %clean section, which contains rm -rf
> %{buildroot} (or $RPM_BUILD_ROOT).
> [+] MUST: Each package must consistently use macros, as described in the macros
> section of Packaging Guidelines.
> [+] MUST: The package must contain code, or permissible content. This is
> described in detail in the code vs. content section of Packaging Guidelines.
> [+] MUST: Large documentation files should go in a doc subpackage.
> [+] MUST: If a package includes something as %doc, it must not affect the
> runtime of the application.
> [+] MUST: Header files must be in a -devel package.
> [+] MUST: Static libraries must be in a -static package.
> No static libraries.
> [+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
> (for directory ownership and usability).
> Have not pkgconfig(.pc) files.
> [+] MUST: If a package contains library files with a suffix (e.g.
> libfoo.so.1.1), then library files that end in .so (without suffix) must go in
> a -devel package.
> Have not.
> [+] MUST: In the vast majority of cases, devel packages must require the base
> package using a fully versioned dependency: Requires: %{name} =
> %{version}-%{release} 
> [+] MUST: Packages must NOT contain any .la libtool archives, these should be
> removed in the spec.
> [+] MUST: Packages containing GUI applications must include a %{name}.desktop
> file, and that file must be properly installed with desktop-file-install in the
> %install section.
> Only cli.
> [+] MUST: Packages must not own files or directories already owned by other
> packages.
> [+] MUST: At the beginning of %install, each package MUST run rm -rf
> %{buildroot} (or $RPM_BUILD_ROOT).
> [+] MUST: All filenames in rpm packages must be valid UTF-8.
> 
> SHOULD Items:
> [=] SHOULD: If the source package does not include license text(s) as a
> separate file from upstream, the packager SHOULD query upstream to include it.
> Source include it, but package does not (see above).

Corrected.

> [+] SHOULD: The description and summary sections in the package spec file
> should contain translations for supported Non-English languages, if available.
> No translations in spec.
> [+] SHOULD: The reviewer should test that the package builds in mock.
> [+] SHOULD: The package should compile and build into binary rpms on all
> supported architectures.
> Done: http://koji.fedoraproject.org/koji/taskinfo?taskID=1466319
> [+] SHOULD: The reviewer should test that the package functions as described.
> A'm test it before and even try using... (wget more convenient :) , IMHO)
> [+] SHOULD: If scriptlets are used, those scriptlets must be sane.
> Scriplets haven't used.
> [+] SHOULD: Usually, subpackages other than devel should require the base
> package using a fully versioned dependency.
> [+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
> this is usually for development purposes, so should be placed in a -devel pkg.
> A reasonable exception is that the main pkg itself is a devel tool not
> installed in a user runtime, e.g. gcc or gdb.
> [+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
> /usr/bin, or /usr/sbin consider requiring the package which provides the file
> instead of the file itself.
> No such dependencies.
> [+] SHOULD: Packages should try to preserve timestamps of original installed
> files.  

Spec and srpm :

http://ankursinha.fedorapeople.org/axel/axel.spec

http://ankursinha.fedorapeople.org/axel/axel-2.4-1.fc10.src.rpm

Other files from mock build can be found at :

http://ankursinha.fedorapeople.org/axel/

regards,

Ankur Sinha
Comment 6 Pavel Alexeev 2009-07-11 04:36:43 EDT
Ankur, each time when you make changes and new build preformed, you must change release number and write appropriate changelog.
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Release
https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs
Comment 7 Ankur Sinha (FranciscoD) 2009-07-11 04:46:01 EDT
(In reply to comment #6)
> Ankur, each time when you make changes and new build preformed, you must change
> release number and write appropriate changelog.
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Release
> https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs  

hi,

yeah.. i dint think it was necessary for these changes.. sorry.. Ill do it from now.. is the rest of the package okay?

Ankur Sinha
Comment 8 Pavel Alexeev 2009-07-11 08:04:04 EDT
Yes, almost other is done.

Package APPROVED.
Comment 9 Ankur Sinha (FranciscoD) 2009-07-12 11:58:36 EDT
New Package CVS Request
=======================
Package Name: axel
Short Description: Accelerated download client
Owners: ankursinha
Branches: F-10 F-11
Comment 10 Pavel Alexeev 2009-07-12 12:05:11 EDT
Ankur you don't plan maintain axel for EPEL? Is there any troubles wit it? Or just you don't want?
Comment 11 Ankur Sinha (FranciscoD) 2009-07-12 12:12:06 EDT
(In reply to comment #10)
> Ankur you don't plan maintain axel for EPEL? Is there any troubles wit it? Or
> just you don't want?  

uhm.. no.. I couldn't find any proper documentation for a non font package lifecycle.. And I've never maintained a package.. From what I had learnt from font packaging, I filled up... I don't know much about EPEL etc. Should I add EPEL as a branch? 

Removing the fedora-cvs tag for the meanwhile.. 

regards,

Ankur
Comment 12 Pavel Alexeev 2009-07-12 12:27:56 EDT



(In reply to comment #11)
> uhm.. no.. I couldn't find any proper documentation for a non font package
> lifecycle.. And I've never maintained a package.. From what I had learnt from
> font packaging,
Main documentation located in wiki: http://fedoraproject.org/wiki/EPEL

Axel is your first package at all?

> I filled up... I don't know much about EPEL etc. Should I add
> EPEL as a branch? 
Only if you want. This is freedom.
You may don't wish do it itself. So, you may wish transfer it to another maintainer or so on...

> Removing the fedora-cvs tag for the meanwhile.. 
In vain. Yo always in future may request additional branch. So, start from F-10 and F-11 now!

> regards,
> 
> Ankur
Comment 13 Ankur Sinha (FranciscoD) 2009-07-12 12:42:28 EDT
(In reply to comment #12)
> 
> 
> 
> (In reply to comment #11)
> > uhm.. no.. I couldn't find any proper documentation for a non font package
> > lifecycle.. And I've never maintained a package.. From what I had learnt from
> > font packaging,
> Main documentation located in wiki: http://fedoraproject.org/wiki/EPEL
> 

I'll read up..

> Axel is your first package at all?
> 

yup.. I've only packaged fonts before this.

> > I filled up... I don't know much about EPEL etc. Should I add
> > EPEL as a branch? 
> Only if you want. This is freedom.
> You may don't wish do it itself. So, you may wish transfer it to another
> maintainer or so on...
> 
> > Removing the fedora-cvs tag for the meanwhile.. 
> In vain. Yo always in future may request additional branch. So, start from F-10
> and F-11 now!
> 

Okay.. I'll do these two right now and request EPEL maybe later.. 

> > regards,
> > 
> > Ankur
Comment 14 Ankur Sinha (FranciscoD) 2009-07-12 12:47:17 EDT
New Package CVS Request
=======================
Package Name: axel
Short Description: Accelerated download client
Owners: ankursinha
Branches: F-10 F-11
Comment 15 Jason Tibbitts 2009-07-12 13:19:11 EDT
CVS done.
Comment 16 Fedora Update System 2009-07-12 14:06:32 EDT
axel-2.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/axel-2.4-1.fc11
Comment 17 Fedora Update System 2009-07-12 14:07:47 EDT
axel-2.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/axel-2.4-1.fc10
Comment 18 Fedora Update System 2009-07-16 03:17:58 EDT
axel-2.4-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update axel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7637
Comment 19 Fedora Update System 2009-07-16 03:31:00 EDT
axel-2.4-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update axel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7677
Comment 20 Fedora Update System 2009-08-01 19:52:24 EDT
axel-2.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2009-08-01 19:54:39 EDT
axel-2.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Ankur Sinha (FranciscoD) 2014-04-15 07:33:16 EDT
Package Change Request
======================
Package Name: axel
New Branches: epel7
Owners: ankursinha averi

Andrea would like to branch the package for EPEL7 since his yum-axelget package depends on it.
Comment 23 Gwyn Ciesla 2014-04-15 07:49:39 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.